# Copyright (c) 2000-2009, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#

%define readln_min_ver  5.0
%define section         free
%define debug_package %{nil}

Name:           libreadline-java
Version:        0.8.0
Release:        12%{dist}
Epoch:          0
Summary:        Java wrapper for the GNU-readline library
License:        LGPL
Source0:        http://download.sourceforge.net/java-readline/libreadline-java-0.8.0-src.tar.gz
Url:            http://java-readline.sf.net/
Requires:       java >= 0:1.5.0
Requires:       readline >= 0:%{readln_min_ver}
Requires:       /sbin/ldconfig
BuildRequires:  jpackage-utils >= 0:1.7.5
BuildRequires:  java-devel >= 0:1.5.0
BuildRequires:  readline-devel
BuildRequires:  %{_libdir}/libtermcap.so
Provides:       java_readline
Provides:       gnu.readline
Group:          Development/Java
Distribution:   JPackage
Vendor:         JPackage Project
Buildroot:      %{_tmppath}/%{name}-%{version}-buildroot
AutoReqProv:    no

%description
Java-Readline is a port of GNU Readline for Java.  Or, to be more 
precise, it is a JNI-wrapper to Readline. It is distributed under 
the LGPL.

%package javadoc
Summary:        Javadoc for %{name}
Group:          Development/Java

%description javadoc
%{summary}.

%prep
%setup -q
find . -name "*.jar" -exec rm -f {} \;

%build
export JAVA_HOME=%{java_home}
export PATH=$JAVA_HOME/bin:$JAVA_HOME/jre/bin:$PATH
%__make T_LIBS=JavaReadline
%__make apidoc

%install
# jar
%__mkdir_p %{buildroot}%{_jnidir}
%__install -m 644 %{name}.jar %{buildroot}%{_jnidir}/%{name}-%{version}.jar
(cd %{buildroot}%{_jnidir} && for jar in *-%{version}*; do \
ln -sf ${jar} ${jar/-%{version}/}; done)
# lib
%__mkdir_p %{buildroot}%{_libdir}
%__install -m 755 libJavaReadline.so %{buildroot}%{_libdir}/libJavaReadline.so.%{version}
(cd %{buildroot}%{_libdir} && ln -sf libJavaReadline.so.%{version} libJavaReadline.so)

# javadoc
%__mkdir_p %{buildroot}%{_javadocdir}/%{name}-%{version}
%__cp -a api/* %{buildroot}%{_javadocdir}/%{name}-%{version}
%__ln_s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name}

%clean
%__rm -rf %{buildroot}

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(0644,root,root,0755)
%doc ChangeLog NEWS README README.1st VERSION
%{_libdir}/*.so*
%{_jnidir}/*.jar

%files javadoc
%defattr(0644,root,root,0755)
%doc %{_javadocdir}/%{name}-%{version}
%doc %{_javadocdir}/%{name}

%changelog
* Fri Jan 23 2009 Ralph Apel <r.apel@r-apel.de> 0:0.8.0-12.jpp5
- First JPP-5 release
- Relax Requires to readline >= 5.0

* Fri May 26 2006 Ralph Apel <r.apel@r-apel.de> 0:0.8.0-11jpp
- First JPP-1.7 release

* Wed Nov 09 2005 Fernando Nasser <fnasser@redhat.com> 0:0.8.0-10jpp
- Rebuild for readline 5.0

* Tue Mar 29 2005 David Walluck <david@jpackage.org> 0:0.8.0-9jpp
- fix duplicate files in file list
- set java bins in path

* Tue Nov 2 2004 Nicolas Mailhot <nim@jpackage.org> -  0:0.8.0-8jpp
- Move jars into %{_jnidir}

* Tue Nov 2 2004 Nicolas Mailhot <nim@jpackage.org> -  0:0.8.0-7jpp
- Replace build dep on termcap-devel with dep on %{_libdir}/libtermcap.so
  (needed on RH/FC systems)

* Sat Oct 09 2004 David Walluck <david@jpackage.org> 0:0.8.0-6jpp
- rebuild for JPackage 1.5 devel

* Thu Jan 30 2003 David Walluck <david@anti-microsoft.org> 0:0.8.0-5jpp
- rebuild for JPackage 1.5

* Thu Jan 30 2003 David Walluck <david@anti-microsoft.org> 0.8.0-4jpp
- AutoReqProvides: no
- Strict requires on readline version and /sbin/ldconfig

* Sun Jan 26 2003 David Walluck <david@anti-microsoft.org> 0.8.0-3jpp
- set JAVA_HOME/bin in PATH

* Wed Jan 22 2003 David Walluck <david@anti-microsoft.org> 0.8.0-2jpp
- 1jpp was missing %%changelog
